Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.util
Class AlphabeticalComboBoxModel

    java.lang.Object
      javax.swing.AbstractListModel
          edu.stanford.smi.protegex.util.AlphabeticalComboBoxModel

All Implemented Interfaces:
  Serializable, ComboBoxModel, ListModel

    public class AlphabeticalComboBoxModel

extends AbstractListModel
implements ComboBoxModel

Description of the class

Author:
  William Grosso
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`AlphabeticalComboBoxModel()`
`AlphabeticalComboBoxModel(Collection contents)`

Method Summary
`Object` | `getElementAt(int index)`
`Object` | `getSelectedItem()`
`int` | `getSize()`
`void` | `setContents(Collection newContents)`
`void` | `setSelectedItem(Object anItem)`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.ListModel
`addListDataListener, removeListDataListener`

Constructor Detail

### AlphabeticalComboBoxModel

    public AlphabeticalComboBoxModel()

### AlphabeticalComboBoxModel

    public AlphabeticalComboBoxModel(Collection contents)

Method Detail

### getElementAt

    public Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `ListModel`

### getSelectedItem

    public Object getSelectedItem()

  Specified by:
    `getSelectedItem` in interface `ComboBoxModel`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `ListModel`

### setContents

    public void setContents(Collection newContents)

### setSelectedItem

    public void setSelectedItem(Object anItem)

  Specified by:
    `setSelectedItem` in interface `ComboBoxModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request